LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05897Bug reports[User patches] Other issuespublic2012-03-11 01:412012-03-14 18:14
Reportersergey 
Assigned ToTMSWhite 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.92+ 
Summary05897: Survey ID not set correctly after row insert in servey_NNN table
DescriptionPeople who come to fill out a survey for the first time are greeted with an error message after they try to click Next on the first page. Their answers can't be saved because survey id is not retrieved from the database correctly.
Additional InformationIn the latest code (1.92 build 20120303) the following line is wrong:

$srid = $connect->Insert_ID($this->surveyOptions['tablename'],"sid");

It should be "id" not "sid" as the last parameter.

The line (in "dev" branch) is 3279: https://github.com/LimeSurvey/LimeSurvey/blob/dev/classes/eval/LimeExpressionManager.php#L3279. [^]
I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID201203
Browser
Database & DB-Version
Operating System (Server)
Webserver software & version
PHP Version
Attached Files

- Relationships

-  Notes
User avatar (17821)
TMSWhite (reporter)
2012-03-11 03:54

Fixed with commit https://github.com/LimeSurvey/LimeSurvey/commit/d7cffd0a1f97f54f44ed0704a320efe31bf71af4 [^]

Interestingly, this is exactly how it has always been done in 1.91+ too.

That argument is ignored in all databases except Postgres, so this must be a Postgres-only issue.
User avatar (17822)
c_schmitz (administrator)
2012-03-11 16:31

1.92+ Build 120211 released

- Related Changesets
LimeSurvey: master d7cffd0a
Timestamp: 2012-03-10 18:54:23
Author: TMSWhite
Committer: Thomas White
Details ] Diff ]
Fixed issue 05897: Survey ID not set correctly after row insert in servey_NNN table
Dev this could only affect Postgres installations, as that argument is ignored by all other database types.
mod - classes/expressions/LimeExpressionManager.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-03-11 01:41 sergey New Issue
2012-03-11 03:52 TMSWhite Project User patches => Bug reports
2012-03-11 03:52 TMSWhite Category Survey at runtime => Other issues
2012-03-11 03:54 TMSWhite Note Added: 17821
2012-03-11 03:54 TMSWhite Status new => resolved
2012-03-11 03:54 TMSWhite Fixed in Version => 1.92+
2012-03-11 03:54 TMSWhite Resolution open => fixed
2012-03-11 03:54 TMSWhite Assigned To => TMSWhite
2012-03-11 16:31 c_schmitz Note Added: 17822
2012-03-11 16:31 c_schmitz Status resolved => closed
2012-03-14 18:14 TMSWhite Changeset attached => Import 2012-03-09 13:30:34 master d7cffd0a


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker